com.hazelcast.config

## Enum OnJoinPermissionOperationName

- java.lang.Object
- - java.lang.Enum<OnJoinPermissionOperationName>
  - - com.hazelcast.config.OnJoinPermissionOperationName

- All Implemented Interfaces:
    Serializable, Comparable<OnJoinPermissionOperationName>

      public enum OnJoinPermissionOperationName
      extends Enum<OnJoinPermissionOperationName>

  Enum of operation names for handling client permissions when the member is joining into the cluster.
  See Also:
    `SecurityConfig`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` No-op - neither receives nor sends permissions.
    `RECEIVE` Operation which replaces locally configured permissions by the ones received from cluster.
    `SEND` Operation which refreshes cluster permissions with locally specified ones.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OnJoinPermissionOperationName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OnJoinPermissionOperationName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECEIVE

          public static final OnJoinPermissionOperationName RECEIVE

      Operation which replaces locally configured permissions by the ones received from cluster.

    - #### SEND

          public static final OnJoinPermissionOperationName SEND

      Operation which refreshes cluster permissions with locally specified ones.

    - #### NONE

          public static final OnJoinPermissionOperationName NONE

      No-op - neither receives nor sends permissions.

  - ### Method Detail

    - #### values

          public static OnJoinPermissionOperationName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnJoinPermissionOperationName c : OnJoinPermissionOperationName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OnJoinPermissionOperationName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.